:root{
    --primary-color: #0C9E96;
    --secondary-color: #003664;
    --grey-color: #f3f3f3;
    --text-color: #000;
    --text-secondary-color: #fff;
}

html{
    overflow-x: hidden;
}

h1, h2, h3, h4, h5, h6, label{
    font-family: 'Futura', sans-serif;
    margin-bottom: 1rem;
}

p, a, li, span, input, textarea, button{
    font-family: 'Myriad Pro', sans-serif;
    margin-bottom: 1rem;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body{
    width: 100%;
    overflow-x: hidden;
}
.menu .categoria > li {
    height: 28px !important;
}
#fv .banner{
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    position: relative;
    overflow: hidden;
    padding: 0 !important;
}

#fv .banner video {
    position: absolute;
    width: 100%;
    height: 100vh;
    object-fit: unset;
}

#fv .banner::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: linear-gradient(-135deg,rgba(255, 255, 255, 0.3) 15%, rgba(255, 255, 255, 1) 100%);
}

#fv .banner h1{
    color: var(--secondary-color);
    font-size: 3rem;
    z-index: 1;
    padding-left: 5%;
    margin-bottom: 1rem;
}

#fv .banner p{
    color: var(--text-color);
    font-size: 16px;
    z-index: 1;
    padding-left: 5%;
    max-width: 40%;
}

#fv .satisfaccion{
    position: absolute;
    bottom: 10px;
    right: 0;
    left: 0;
    margin: 0 auto;
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    width: fit-content;
}

#fv .satisfaccion .bloque{
    border-right: 1px solid var(--secondary-color);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    gap: 1rem;
    max-width: 320px;
}

#fv .satisfaccion .bloque:last-child{
    border-right: 0;
}

#fv .satisfaccion .bloque p{
    max-width: 100%;
    margin: 0;
    padding: 0;
}

#fv .satisfaccion .bloque p.texto{
    font-size: 16px;
    font-weight: 700;
    line-height: 1.1;
}

#fv .satisfaccion .bloque p.texto span{
    font-weight: 300;
}
#fv .satisfaccion .bloque p.dato{
    font-size: 60px;
    color: var(--secondary-color);
    font-family: 'Futura', sans-serif;
}

#fv .satisfaccion .bloque img{
    width: 100px;
    height: 100px;
    object-fit: contain;
}

#fv > div{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5%;
}

#fv .beneficios,
#fv .app,
#fv .opiniones,
#fv .faq,
#fv .contacto{
    display: flex;
    flex-direction: column;
    gap: 3rem;
    overflow-x: hidden;
}

#fv .beneficios h2,
#fv .app h2,
#fv .realizadas h2,
#fv .opiniones h2,
#fv .faq h2,
#fv #contacto h2{
    font-size: 32px;
    font-weight: 700;
    text-transform: uppercase;
    color: var(--secondary-color);
    position: relative;
    --after-scaleX: 0;
}

#fv .beneficios h2::after,
#fv .app h2::after,
#fv .realizadas h2::after,
#fv .opiniones h2::after,
#fv .faq h2::after,
#fv #contacto h2::after{
    content: '';
    display: block;
    width: 70%;
    height: 1px;
    left: 50%;
    position: absolute;
    transform: translateX(-50%) scaleX(var(--after-scaleX));
    transform-origin: center center;
    bottom: -10px;
    background-color: var(--primary-color);
}

#fv .beneficios .container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem;
}

#fv .beneficios .bloque{
    background-color: var(--grey-color);
    padding: 2rem;
    border-radius: 10px;
    width: 300px;
    text-align: center;
}

#fv .beneficios .bloque:nth-child(odd){
    background-color: var(--primary-color);
}

#fv .beneficios .bloque:nth-child(odd) h3{
    color: var(--text-secondary-color);
}

#fv .beneficios .bloque:nth-child(odd) p{
    color: var(--text-secondary-color);
    opacity: .9;
}

#fv .beneficios .bloque h3{
    color: var(--secondary-color);
    font-size: 20px;
    margin-bottom: .5rem;
}

#fv .beneficios > p{
    color: var(--text-color);
    font-size: 16px;
    max-width: 1000px;
    text-align: center;
}

#fv .instalaciones{
    display: flex;
    flex-direction: column;
    gap: 3rem;
    background: url('../uploads/empresas-fotovoltaica.jpg');
    background-size: cover;
    background-position: center;
    position: relative;
}

#fv .instalaciones::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    z-index: 0;
}

#fv .instalaciones .botones{
    display: flex;
    justify-content: center;
    gap: 2rem;
    z-index: 1;
}

#fv .instalaciones .botones a.active{
    background-color: var(--primary-color);
    color: var(--text-secondary-color);
    border-radius: 5em;
    text-decoration: none;
    font-weight: 400;
    font-size: 16px;
    outline: 0;
    border: 0;
}

#fv .instalaciones .botones a{
    background-color: transparent;
    color: var(--primary-color);
    border-radius: 5em;
    text-decoration: none;
    font-weight: 400;
    font-size: 16px;
    outline: 0;
    /* border: 1px solid var(--primary-color); */
    cursor: pointer;
}

#fv .instalaciones .instalacion.active{
    display: flex !important;
    flex-direction: column;
    gap: 2rem;
    z-index: 1;
    width: 100%;
}
#fv .instalaciones .instalacion.hidden{
    display: none;
}

#fv .instalaciones .instalacion h2{
    color: var(--secondary-color);
    font-size: 32px;
    font-weight: 700;
}

#fv .instalaciones .instalacion .container{
    display: flex;
    width: 100%;
    gap: 2rem;
}

#fv .instalaciones .instalacion .container .bloque{
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px);
    padding: 2rem;
    border-radius: 10px;
    width: 50%;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.1);
}
#fv .instalaciones .instalacion .container .bloque:last-child {
    background-color: transparent;
    backdrop-filter: unset;
    box-shadow: none;
}

#fv .instalaciones .instalacion .container .bloque h3{
    color: var(--secondary-color);
    font-size: 20px;
    margin-bottom: .5rem !important;
    text-transform: uppercase;
}

#fv .instalaciones .instalacion .container .bloque ul{
    padding: 1rem;
}

#fv .instalaciones .instalacion .container .bloque li{
    color: var(--text-color);
    font-size: 16px;
    margin-bottom: 0.5rem;
    list-style: none;
    padding-left: 1.5rem;
    margin-bottom: .5rem;
    position: relative;
}

#fv .instalaciones .instalacion .container .bloque li::before{
    content: '\2022';
    color: var(--primary-color);
    position: absolute;
    left: 0;
}

#fv .opiniones .swiper {
    width: 100%;
    height: 100%;
    max-width: 1200px;
}

#fv .opiniones .swiper-wrapper {
    display: flex;
    align-items: center;
    padding: 2rem 0;
}

#fv .opiniones  .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #0C9E96;
    display: flex !important;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.1);
    border-radius: 1em;
    padding: 1rem; 
    gap: 1rem;
    min-block-size: -webkit-fill-available;
    color: #fff;
    cursor: grab;
}

#fv .opiniones .swiper-slide.odd {
    background: #f3f3f3;
    color: #000;
}

#fv .opiniones .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#fv .opiniones .swiper-pagination {
    position: relative;
}

#fv .faq .acordeon {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 900px;
    width: 100%;
}

#fv .faq .acordeon .item{
    background-color: var(--grey-color);
    padding: 1rem 2rem;
    border-radius: 1em;
    width: 100%;
    cursor: pointer;
    position: relative;
}

#fv .faq .acordeon .item img{
    position: absolute;
    width: 20px;
    height: 20px;
    object-fit: contain;
    top: 30px;
    right: 2rem;
    transform: translate(0, -50%);
    transition: transform 0.5s ease;
}

#fv .faq .acordeon .item.active img{
    transform: translate(0, -50%) rotate(180deg);
}

#fv .faq .acordeon .item h3{
    color: var(--secondary-color);
    font-size: 20px;
    margin: 0
}

#fv .faq .acordeon .item p{
    color: var(--text-color);
    font-size: 16px;
    overflow: hidden;
    height: 0;
    opacity: 0;
    margin: 0;
    transition: margin-top 0.3s ease;
}

#fv .faq .acordeon .item.active p{
    margin-top: 1rem;
}

#fv .banner .button{
    margin-left: 5%;
}

#fv .instalacion .button{
    width: fit-content;
    align-self: center;
}

#fv .button {
  align-items: center;
  background: 0 0;
  border: none;
  border-radius: 6.25rem;
  color: var(--primary-color);
  cursor: pointer;
  display: inline-flex;
  font-size: 1rem;
  font-weight: 600;
  gap: 0.363636em;
  justify-content: center;
  letter-spacing: -0.01em;
  line-height: 1.04545;
  overflow: hidden;
  padding: 1rem 1.5rem;
  position: relative;
  text-decoration: none;
  word-break: break-word;
  text-decoration: none;
  z-index: 1;
}

@media (hover: hover) {
  .button.button--stroke:hover {
    color: var(--primary-color);
    text-decoration: none;
  }
}

#fv .button--stroke:after {
  bottom: 0;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
}

#fv .button--stroke:after {
  border: 0.13rem solid var(--primary-color);
  border-radius: 5rem;
  content: "";
  pointer-events: none;
}

#fv .button__label {
  position: relative;
  text-align: center;
  transition: color 50ms ease-in;
  margin: 0;
}

#fv .button--stroke:hover .button__label {
    color: var(--text-secondary-color);
    transition: color 0.15s ease-in;
}

#fv .button__flair {
  bottom: 0;
  left: 0;
  pointer-events: none;
  position: absolute;
  right: 0;
  top: 0;
}

#fv .button--stroke .button__flair {
  transform: scale(0);
  transform-origin: 0 0;
  will-change: transform;
}

#fv .button__flair:before {
  aspect-ratio: 1/1;
  background-color: var(--primary-color);
  border-radius: 50%;
  content: "";
  display: block;
  left: 0;
  pointer-events: none;
  position: absolute;
  top: 0;
  transform: translate(-50%, -50%);
  width: 170%;
}

#fv .realizadas .swiper {
    /* width: 100%; */
    height: 100%;
    max-width: 1200px;
}

#fv .realizadas .swiper-wrapper {
    display: flex;
    align-items: center;
}

#fv .realizadas .swiper-slide {
    cursor: grab;
    /*width: 250px;*/
    /* transition: unset !important; */
    position: relative;
}

#fv .realizadas .swiper-slide img {
    display: block;
    width: 340px;
    height: 50vh;
    object-fit: cover;
    border-radius: 1em;
    /* box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.1); */
}

#fv .realizadas .swiper-slide div {
    position: absolute;
    top: 0;
    padding: 20px;
    width: 340px;
    height: 100%;
    background: linear-gradient(180deg,rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    border-radius: .9em;
}

#fv .realizadas .swiper-pagination {
    position: relative;
    margin-top: 2rem;
}
.realizadas .swiper-cards .navigation-buttons {
    display: flex;
    justify-content: space-between;
    width: 90%;
    margin: 50px auto 0;
}
.realizadas .swiper-cards .navigation-buttons .swiper-pagination-fraction {
    color: black;
    text-align: center;
    font-weight: 500;
}
.realizadas .swiper-cards {
    width: 340px;
}
.realizadas .swiper-cards .navigation-buttons div.swiper-button-disabled {
    opacity: .35;
    cursor: auto;
    pointer-events: none;
}
.realizadas .swiper-cards .navigation-buttons > div:not(.swiper-button-disabled) {
    cursor: pointer;
}
.realizadas .swiper-cards .navigation-buttons img {
    transition: ease-in-out transform .2s;
}
.realizadas .swiper-cards .navigation-buttons div[class^="swiper-button-next"]:not(.swiper-button-disabled):hover > img {
    transform: translateX(4px);
}
.realizadas .swiper-cards .navigation-buttons div[class^="swiper-button-prev"]:not(.swiper-button-disabled):hover > img {
    transform: translateX(-4px);
}
#fv .fv-lb__backdrop{
    width: 100%;
    height: 100vh;
    background-color: rgba(255,255,255,.8);
    backdrop-filter: blur(5px);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    display: none;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
}

#fv .fv-lb__backdrop .fv-lb__content{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
}

#fv .fv-lb__backdrop .arrow{
    position: absolute;
    width: 50px;
    height: 50px;
    background: rgba(0,0,0,.3);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: background 0.3s ease;
}

#fv .fv-lb__backdrop .arrow:hover{
    background: rgba(0,0,0,.8);
}

#fv .fv-lb__backdrop .arrow img{
    width: 28px;
    height: 28px;
    object-fit: contain;
    filter: invert(1);
}

#fv .fv-lb__backdrop .left{
    left: 50px;
    top: 50%;
    transform: translateY(-50%) rotate(180deg);
}

#fv .fv-lb__backdrop .right{
    right: 50px;
    top: 50%;
    transform: translateY(-50%);
}

#fv .fv-lb__backdrop img{
    width: 90%;
    height: 70%;
    object-fit: contain;
}

#fv .fv-lb__backdrop.active{
    display: flex;
}

#fv .fv-lb__close{
    position: absolute;
    top: 50px;
    right: 50px;
    background: transparent;
    border: none;
    width: 35px;
    height: 35px;
    cursor: pointer;
}

#fv .fv-lb__close img{
    width: 100%;
}

#contacto{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: center;
    align-items: center;
    background-color: #f6f6f6;
}
#contacto .caixa_personal {
    width: 100%;
    position: relative;
}
/*
#contacto h2{
    font-size: 32px;
    color: var(--secundario);
    line-height: 1.1;
}

#contacto h2::after{
    content: '';
    display: block;
    width: 50%;
    height: 2px;
    background-color: var(--principal);
    margin: 1rem 25%;
}
*/

#contacto .contenidos{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: start;
    gap: 2rem;
}

#contacto .contenidos .contenido{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 2rem;
    width: 40%;
}

#contacto .contenidos .contenido h3{
    font-size: 26px;
    color: var(--secondary-color);
}

#contacto .contactos{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

#contacto .contactos .contacto a{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    text-decoration: none;
    color: #090909;
}

#contacto .contenido form{
    display: flex;
    flex-direction: column;
    width: 100%;
}

#contacto .contenido form input, #contacto .contenido form textarea{
    width: calc(100% - 2rem);
    margin-bottom: 1rem;
    margin-top: .5rem;
    outline: 1px solid #09090920;
    border: 0;
    border-radius: 0.5em;
    padding: 1rem;
}
#contacto .contenido form textarea {
    height: 100px;
}

#contacto .caixa_envia input {
    width: fit-content !important;
}
#contacto .caixa_envia input.boto_envia {
    width: 25%;
    padding: 1rem 2rem;
    background-color: var(--primary-color);
    border: 0;
    color: white;
    border-radius: 5em;
    transition: ease-in-out all .2s;
    font-size: 16px;
    cursor: pointer;
}
#contacto .caixa_envia a {
    color: var(--secondary-color);
}
#contacto .contenido form label{
    color: var(--secondary-color);
    font-weight: 600;
}

#contacto .contenido form input{
    min-height: 1vh;  
}

#contacto .caixa_envia input.boto_envia:hover{
    background-color: var(--secondary-color);
}
#contacto .fons_vert_fosc {
    position: relative;
    width: 100%;
    height: 100%;
    background-color: #6dcd6d;
    border-radius: 1em;
}
#contacto .fons_vert_fosc .capsa {
    width: 100%;
    padding: 20px;
}



@media(max-width: 1200px){
    #fv .fv-lb {
        width: 100%;
    }
        #fv .realizadas .swiper {
        width: 100%;
        height: 100%;
        max-width: 100%;
    }


}

@media(max-width: 1024px){
    #fv .banner {
        height: 80vh;
        align-items: center;
        justify-content: end;
    }
        #fv .banner::after {
        height: 81vh;
        background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
    }

    #fv .banner h1 , #fv .banner p{
        padding-left: 0;
    }

    #fv .banner p{
        max-width: 90%;
        text-align: center;
    }

    #fv .banner .button {
        margin: 0 0 2rem 0;
    }

        #fv .instalaciones .instalacion .container{
        flex-direction: column;
    }

    #fv .instalaciones .instalacion .container .bloque {
        width: 100%;
    } 
    
    #fv .satisfaccion{
        position: unset;
    }
}

@media(max-width: 768px){
    #fv .banner {
        height: 75vh;
    }
        #fv .banner::after {
        height: 76vh;
    }

    #fv .banner h1{
        font-size: 2.5rem;
        text-align: center;
        line-height: 1;
    }

    #fv h2{
        font-size: 1.8rem !important;
        text-align: center;
        line-height: 1;
        margin-bottom: .5rem !important;
    }

    #fv h3{
        font-size: 1.1rem !important;
        margin-bottom: 0 !important;
        line-height: 1;
    }

    #fv .instalaciones .container .bloque:last-child {
        padding: 2rem 0;
        background-color: transparent;
        backdrop-filter: none;
        box-shadow: none;
    }
    #fv .instalaciones h3{
        text-align: center;
    }

    #fv p, #fv li{
        font-size: 14px !important;
    }

    #fv ul{
        text-align: center;
        padding: 0;
    }

    #fv li{
        text-align: center;
        padding: 0 !important;
    }

    #fv li::before{
        display: none;
    }

    #fv .button__label {
        font-size: 14px;
    }
    #fv .beneficios .bloque p {
        margin-bottom: 0;
    }
    #fv .instalaciones .instalacion.active p{
        text-align: center;
    }

    #fv .instalaciones .instalacion .container {
        flex-direction: column;
    }

    #fv .instalaciones {
        gap: 1rem;
    }

    #fv .instalaciones .instalacion.active {
        gap: .5rem;
    }

    #fv .imagenes{
        display: flex;
        justify-content: center;
    }

    #fv .app img{
        width: 30%
    }

    #contacto {
        padding: 15% 5%;
    }
    #contacto .contenidos {
        flex-direction: column;
    }
    #contacto .contenidos .contenido {
        width: 100%;
    }

    #fv .satisfaccion{
        gap: 0;
        padding-bottom: 1rem;
    }

    #fv .satisfaccion .bloque{
        flex-direction: column;
    }

    #fv .satisfaccion .texto{
        font-size: 12px !important;
    }

    #fv .satisfaccion .dato{
        font-size: 35px !important;
    }
    #fv .faq .acordeon .item h3 {
        padding-right: 20px;
        line-height: normal;
    }
}

